#### D.4.21.11 testPrimaryE

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  testPrimaryE(pr,k); pr a list, k an ideal.

Assume:
  pr is the result of a primary decomposition and may be empty ( for the unit ideal)

Return:
  int, 1 if the intersection of the ideals in pr is k, 0 if not

Example:

    LIB "primdec.lib";
    ring  r = 32003,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z4+2;
    ideal i = p^2*q^3,(y-z3)^3,(x-yz+z4)^4;
    list pr = primdecGTZ(i);
    testPrimaryE(pr,i);
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.